<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::table('categories')->insert([
            [
                'c_code' => 'TEMPORARY_ONLEAVE',
                'c_name' => 'Nghỉ tạm trong tương lai',
                'c_type' => 'REASON_NOTES',
                'c_value' => "",
                'c_active' => 1,
                'created_at' => now(),
                'updated_at' => now(),
            ],
        ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        DB::table('categories')->where('c_code', 'TEMPORARY_ONLEAVE')->delete();
    }
};
